Index: trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.boicalendar.inc.php	(revision 3736)
+++ trunk/calendar/inc/class.boicalendar.inc.php	(revision 5132)
@@ -3465,104 +3236,86 @@
 
 				$ical_event['priority'] = $event['priority'];
-				$ical_event['class'] = (int)$event['public'];
+		$ical_event['class'] = (int) $event['public'];
 				$dtstart_mktime = $so_event->maketime($event['start']);
-				$this->parse_value($ical_event,'dtstart',date('Ymd\THis\Z',$dtstart_mktime),'vevent');
+		$this->parse_value($ical_event, 'dtstart', date('Ymd\THis\Z', $dtstart_mktime), 'vevent');
 				$dtend_mktime = $so_event->maketime($event['end']);
-				$this->parse_value($ical_event,'dtend',date('Ymd\THis\Z',$dtend_mktime),'vevent');
+		$this->parse_value($ical_event, 'dtend', date('Ymd\THis\Z', $dtend_mktime), 'vevent');
 				$mod_mktime = $so_event->maketime($event['modtime']);
-				$this->parse_value($ical_event,'last_modified',date('Ymd\THis\Z',$mod_mktime),'vevent');
-				foreach($string_array as $ical_value => $event_value)
-				{
-					if($event[$event_value])
-					{
-						$this->set_var($ical_event[$ical_value],'value',$event[$event_value]);
-					}
-				}
-
-				if ($event['category'])
-				{
-					$cats->categories(0,'calendar');
-					foreach(explode(',',$event['category']) as $cat)
-					{
+		$this->parse_value($ical_event, 'last_modified', date('Ymd\THis\Z', $mod_mktime), 'vevent');
+		foreach ($string_array as $ical_value => $event_value) {
+			if ($event[$event_value]) {
+				$this->set_var($ical_event[$ical_value], 'value', $event[$event_value]);
+					}
+				}
+
+		if ($event['category']) {
+			$cats->categories(0, 'calendar');
+			foreach (explode(',', $event['category']) as $cat) {
 						$_cat = $cats->return_single($cat);
 						$cat_string[] = $_cat[0]['name'];
 					}
-					@reset($cat_string);
-					$this->set_var($ical_event['categories'],'value',implode($cat_string,','));
-				}
-
-				if(count($event['participants']) > 1)
-				{
-					if(!is_object($db))
-					{
+			@ reset($cat_string);
+			$this->set_var($ical_event['categories'], 'value', implode($cat_string, ','));
+				}
+
+		if (count($event['participants']) > 1) {
+			if (!is_object($db)) {
 						$db = $GLOBALS['phpgw']->db;
 					}
-					foreach($event['participants'] as $part => $status)
-					{
-						$GLOBALS['phpgw']->accounts->get_account_name($part,$lid,$fname,$lname);
-						$name = $fname.' '.$lname;
-
-						$owner_status = $this->switch_partstat((int)$this->switch_phpgw_status($event['participants'][$part]));
+			foreach ($event['participants'] as $part => $status) {
+				$GLOBALS['phpgw']->accounts->get_account_name($part, $lid, $fname, $lname);
+				$name = $fname . ' ' . $lname;
+
+				$owner_status = $this->switch_partstat((int) $this->switch_phpgw_status($event['participants'][$part]));
 
 						$mail_prefs = $GLOBALS['phpgw']->preferences->create_email_preferences($part);
 						$mailto = $mail_prefs['email']['address'];
 
-						$str = 'CN="'.$name.'";PARTSTAT='.$owner_status.':'.$mailto;
-						if($part == $event['owner'])
-						{
-							$str = 'ROLE=CHAIR;'.$str;
-						}
-						else
-						{
-							$str = 'ROLE=REQ-PARTICIPANT;'.$str;
-						}
-						if ($method != 'reply' || $part == $GLOBALS['phpgw_info']['user']['account_id'])
-						{
-							$this->parse_value($ical_event,'attendee',$str,'vevent');
-						}
-						if($part == $event['owner'])
-						{
-							$this->parse_value($ical_event,'organizer',$str,'vevent');
-						}
-					}
-				}
-				if($event['recur_type'])
-				{
+				$str = 'CN="' . $name . '";PARTSTAT=' . $owner_status . ':' . $mailto;
+				if ($part == $event['owner']) {
+					$str = 'ROLE=CHAIR;' . $str;
+				} else {
+					$str = 'ROLE=REQ-PARTICIPANT;' . $str;
+						}
+				if ($method != 'reply' || $part == $GLOBALS['phpgw_info']['user']['account_id']) {
+					$this->parse_value($ical_event, 'attendee', $str, 'vevent');
+						}
+				if ($part == $event['owner']) {
+					$this->parse_value($ical_event, 'organizer', $str, 'vevent');
+						}
+					}
+				}
+		if ($event['recur_type']) {
 					$str = '';
-					switch($event['recur_type'])
-					{
-						case MCAL_RECUR_DAILY:
+			switch ($event['recur_type']) {
+				case MCAL_RECUR_DAILY :
 							$str .= 'FREQ=DAILY';
 							break;
-						case MCAL_RECUR_WEEKLY:
+				case MCAL_RECUR_WEEKLY :
 							$str .= 'FREQ=WEEKLY';
-							if($event['recur_data'])
-							{
+					if ($event['recur_data']) {
 								$str .= ';BYDAY=';
-								for($i=1;$i<MCAL_M_ALLDAYS;$i=$i*2)
-								{
-									if($i & $event['recur_data'])
-									{
-										switch($i)
-										{
-											case MCAL_M_SUNDAY:
+						for ($i = 1; $i < MCAL_M_ALLDAYS; $i = $i * 2) {
+							if ($i & $event['recur_data']) {
+								switch ($i) {
+									case MCAL_M_SUNDAY :
 												$day[] = 'SU';
 												break;
-											case MCAL_M_MONDAY:
+									case MCAL_M_MONDAY :
 												$day[] = 'MO';
 												break;
-											CASE MCAL_M_TUESDAY:
+									CASE MCAL_M_TUESDAY :
 												$day[] = 'TU';
 												break;
-											case MCAL_M_WEDNESDAY:
+									case MCAL_M_WEDNESDAY :
 												$day[] = 'WE';
 												break;
-											case MCAL_M_THURSDAY:
+									case MCAL_M_THURSDAY :
 												$day[] = 'TH';
 												break;
-											case MCAL_M_FRIDAY:
+									case MCAL_M_FRIDAY :
 												$day[] = 'FR';
 												break;
-											case MCAL_M_SATURDAY:
+									case MCAL_M_SATURDAY :
 												$day[] = 'SA';
 												break;
@@ -3570,32 +3323,28 @@
 									}
 								}
-								$str .= implode(',',$day);
+						$str .= implode(',', $day);
 							}
 							break;
-						case MCAL_RECUR_MONTHLY_MDAY:
+				case MCAL_RECUR_MONTHLY_MDAY :
 							break;
-						case MCAL_RECUR_MONTHLY_WDAY:
+				case MCAL_RECUR_MONTHLY_WDAY :
 							break;
-						case MCAL_RECUR_YEARLY:
+				case MCAL_RECUR_YEARLY :
 							$str .= 'FREQ=YEARLY';
 							break;
 					}
-					if($event['recur_interval'])
-					{
-						$str .= ';INTERVAL='.$event['recur_interval'];
-					}
-					if($event['recur_enddate']['month'] != 0 && $event['recur_enddate']['mday'] != 0 && $event['recur_enddate']['year'] != 0)
-					{
+			if ($event['recur_interval']) {
+				$str .= ';INTERVAL=' . $event['recur_interval'];
+					}
+			if ($event['recur_enddate']['month'] != 0 && $event['recur_enddate']['mday'] != 0 && $event['recur_enddate']['year'] != 0) {
 						$recur_mktime = $so_event->maketime($event['recur_enddate']) - $GLOBALS['phpgw']->datetime->tz_offset;
-						$str .= ';UNTIL='.date('Ymd\THis\Z',$recur_mktime);
-					}
-					$this->parse_value($ical_event,'rrule',$str,'vevent');
+				$str .= ';UNTIL=' . date('Ymd\THis\Z', $recur_mktime);
+					}
+			$this->parse_value($ical_event, 'rrule', $str, 'vevent');
 
 					$exceptions = $event['recur_exception'];
-					if(is_array($exceptions))
-					{
-						foreach($exceptions as $except_datetime)
-						{
-							$ical_event['exdate'][] = $this->switch_date(date('Ymd\THis\Z',$except_datetime));
+			if (is_array($exceptions)) {
+				foreach ($exceptions as $except_datetime) {
+					$ical_event['exdate'][] = $this->switch_date(date('Ymd\THis\Z', $except_datetime));
 						}
 					}
@@ -3607,47 +3356,46 @@
 
 			// iCals are by default utf-8
-			return $GLOBALS['phpgw']->translation->convert($this->build_ical($ical),$GLOBALS['phpgw']->translation->charset(),'utf-8');
-		}
-
-		function freebusy($params=False)
-		{
-			if (!$params) $params = $_GET;
+	return $GLOBALS['phpgw']->translation->convert($this->build_ical($ical), $GLOBALS['phpgw']->translation->charset(), 'utf-8');
+}
+
+function freebusy($params = False) {
+	if (!$params)
+		$params = $_GET;
 			$user  = is_numeric($params['user']) ? (int) $params['user'] : $GLOBALS['phpgw']->accounts->name2id($params['user']);
-			$start = isset($params['start']) ? $params['start'] : date('Ymd');
-			$end   = isset($params['end']) ? $params['end'] : (date('Y')+1).date('md');
+	$start = isset ($params['start']) ? $params['start'] : date('Ymd');
+	$end = isset ($params['end']) ? $params['end'] : (date('Y') + 1) . date('md');
 
 			$this->bo = CreateObject('calendar.bocalendar');
-			$events_per_day = $this->bo->store_to_cache(array(
+	$events_per_day = $this->bo->store_to_cache(array (
 				'owner'  => $user,
-				'syear'  => (int) substr($start,0,4),
-				'smonth' => (int) substr($start,4,2),
-				'sday'   => (int) substr($start,6,2),
-				'eyear'  => (int) substr($end,0,4),
-				'emonth' => (int) substr($end,4,2),
-				'eday'   => (int) substr($end,6,2),
+		'syear' => (int) substr($start, 0, 4),
+		'smonth' => (int) substr($start, 4, 2),
+		'sday' => (int) substr($start, 6, 2),
+		'eyear' => (int) substr($end, 0, 4),
+		'emonth' => (int) substr($end, 4, 2),
+		'eday' => (int) substr($end, 6, 2),
 				'no_doubles' => True,	// report events only on the startday
+	
 			));
-			if (!is_array($events_per_day)) $events_per_day = array();
-			$ids = array();
-			foreach($events_per_day as $day => $events)
-			{
-				foreach($events as $event)
-				{
+	if (!is_array($events_per_day))
+		$events_per_day = array ();
+	$ids = array ();
+	foreach ($events_per_day as $day => $events) {
+		foreach ($events as $event) {
 					$ids[] = $event;
 				}
 			}
 			$browser = CreateObject('phpgwapi.browser');
-			$browser->content_header($GLOBALS['phpgw']->accounts->id2name($user).'.ifb','text/calendar');
-
-			echo $this->export(array(
+	$browser->content_header($GLOBALS['phpgw']->accounts->id2name($user) . '.ifb', 'text/calendar');
+
+	echo $this->export(array (
 				'vtype'      => 'freebusy',
 				'l_event_id' => $ids,
+		
 			));
-		}
-
-		function debug($str='')
-		{
-			if($this->debug_str)
-			{
+}
+
+function debug($str = '') {
+	if ($this->debug_str) {
 				//echo $str."<br>\n";
 				$log = fopen('/tmp/calendar.log', 'a') or die("nao foi possivel abrir o arquivo /tmp/calendar.log");
@@ -3655,5 +3403,26 @@
 				fclose($log);
 			}
-		}
-	}
+}
+
+function updateExParticipantState($cal_uid, $mail, $situation, $cn = false) {
+	$db = $GLOBALS['phpgw']->db;
+	$query = 'SELECT ex_participants FROM phpgw_cal WHERE uid = \'' . trim($cal_uid) . '\'';
+	if (!$db->query($query))
+		return false;
+	$row = $db->row(true);
+
+	if (!$row)
+		return false;
+
+	include_once ($_SESSION['rootPath'] . '/calendar/inc/class.ex_participants.inc.php');
+	$exParticipants = new exParticipants();
+	$exParticipants->setParticipantsBySerializable($row['ex_participants']);
+	$exParticipants->updateParticipant($mail, $situation, $cn);
+	$query = 'UPDATE phpgw_cal SET ex_participants = \'' . $exParticipants->getParticipantsSerializable() . '\' WHERE uid = \'' . trim($cal_uid) . '\'';
+	if (!$db->query($query))
+		return false;
+
+	return true;
+}
+}
 ?>
Index: trunk/calendar/inc/class.socalendar__.inc.php
===================================================================
--- trunk/calendar/inc/class.socalendar__.inc.php	(revision 4321)
+++ trunk/calendar/inc/class.socalendar__.inc.php	(revision 5132)
@@ -102,24 +102,4 @@
 		}
 
-		function set_observations($observations='')
-		{
-		    $this->add_attribute('observations',$observations);
-		}
-
-		function set_notifications_owner($notifications_owner='') 
-		{ 
- 	        $this->add_attribute('notifications_owner',$notifications_owner); 
- 	    } 
-		
-		function set_alter_by($alter_by='')
-		{
-		    $this->add_attribute('alter_by',$alter_by);
-		}
-
-                function set_attachment($attachment='')
-		{
-			$this->add_attribute('attachment',$attachment);
-		}
-
 		function set_ex_participants($ex_participants='')
 		{
Index: trunk/calendar/inc/class.uigroup_access.inc.php
===================================================================
--- trunk/calendar/inc/class.uigroup_access.inc.php	(revision 1684)
+++ trunk/calendar/inc/class.uigroup_access.inc.php	(revision 5132)
@@ -71,5 +71,6 @@
 				$scripts =	"<script src='".$module_name."/js/connector.js' type='text/javascript'></script>".
 							"<script type='text/javascript'>var DEFAULT_URL = '".$module_name."/controller.php?action=';</script> ".											
-							"<script src='calendar/js/search.js' type='text/javascript'></script>";				
+							"<script src='".$this->template_dir."/js/finder.js' type='text/javascript'></script>".
+							"<script src='".$this->template_dir."/js/search.js' type='text/javascript'></script>";				
 				// Fim				
 				
Index: trunk/calendar/inc/class.uiicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.uiicalendar.inc.php	(revision 3736)
+++ trunk/calendar/inc/class.uiicalendar.inc.php	(revision 5132)
@@ -17,4 +17,5 @@
 	{
 		var $bo;
+// 		var $ui;
 		var $template;
 
@@ -30,4 +31,6 @@
 		{
 			$this->bo = CreateObject('calendar.boicalendar');
+// 			$this->ui = CreateObject('calendar.uicalendar');
+
 			$this->template = $GLOBALS['phpgw']->template;
 			$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Calendar - [iv]Cal Importer');
@@ -77,14 +80,8 @@
 		}
 
-		function import_from_mail($calendar) {
-			return $this->bo->import(explode("\n",$calendar),true);
+		function import_from_mail($calendar, $from_ajax, $importAccount = false) {
+			return $this->bo->import(explode("\n",$calendar),$from_ajax,$importAccount);
 		}
 		
-		function get_error_message($error_number) {
-			switch ($error_number) {
-				case 1:
-					return lang('event already exists');
-			}
-		}
 
 		function import()
@@ -108,17 +105,14 @@
 			}
 
- 			$this->template->set_file(array('vcalimport' => 'vcal_import.tpl'));
-			$this->template->set_block('vcalimport','page_block');
-			$this->template->set_block('vcalimport','error_block');
-			
-			if($GLOBALS['HTTP_GET_VARS']['error_number']) {
-				$this->template->set_var('error_message',$this->get_error_message( $GLOBALS['HTTP_GET_VARS']['error_number'] ) );
-				$this->template->parse('error_box','error_block',true);
-			}
+ 			$this->template->set_file(
+ 				Array(
+ 					'vcalimport' => 'vcal_import.tpl'
+ 				)
+ 			);
 			
 			$var = Array(
 				'vcal_header'	=> '<p>',
 				'ical_lang'		=> lang('(i/v)Cal'),
-				'action_url'	=> $GLOBALS['phpgw']->link('/index.php','menuaction=calendar.boicalendar.import'),
+				'action_url'	=> $GLOBALS['phpgw']->link('/index.php','menuaction=calendar.boicalendar.import&calendarImport=1'),
 				'lang_access'	=> lang('Access'),
 				'lang_groups'	=> lang('Which groups'),
@@ -128,6 +122,5 @@
 			);
 			$this->template->set_var($var);
-			$this->template->pfp('out', 'page_block');
-			// $this->template->pparse('out','page_block');
+			$this->template->pparse('out','vcalimport');
 		}
 	}
Index: trunk/calendar/inc/class.socalendar_sql.inc.php
===================================================================
--- trunk/calendar/inc/class.socalendar_sql.inc.php	(revision 4316)
+++ trunk/calendar/inc/class.socalendar_sql.inc.php	(revision 5132)
@@ -13,5 +13,11 @@
   *  option) any later version.                                              *
   \**************************************************************************/
-
+if($_SESSION['isCrun']){
+	$_SESSION['isCrun'] = false;
+	$_SESSION['rootPath'] = PHPGW_INCLUDE_ROOT;
+	require_once $_SESSION['rootPath'].'/API/class.servicelocator.php';
+}else{
+	require_once $_SESSION['rootPath'].'/API/class.servicelocator.php';
+}
 
 	if (@$GLOBALS['phpgw_info']['flags']['included_classes']['socalendar_'])
@@ -569,11 +575,8 @@
 				$this->set_title(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('title'))));
 				$this->set_description(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('description'))));
-				$this->set_observations(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('observations'))));
-				$this->set_notifications_owner(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('notifications_owner'))));
-				$this->set_alter_by(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('alter_by'))));
-                                $this->set_attachment(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('attachment'))));
 				$this->set_ex_participants(stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('ex_participants'))));
 				$this->add_attribute('uid',$GLOBALS['phpgw']->strip_html($this->stream->f('uid')));
 				$this->add_attribute('location',stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('location'))));
+				$this->add_attribute('organizer',stripslashes($GLOBALS['phpgw']->strip_html($this->stream->f('organizer'))));
 				$this->add_attribute('reference',(int)$this->stream->f('reference'));
 
@@ -737,5 +740,4 @@
 			else
 			{
-				//$user_where .= $this->user;
                                 $user_where .= $this->user . ') OR (phpgw_cal.owner=' . $this->user;
 			}
@@ -902,5 +904,5 @@
 		}
 
-		function save_event(&$event)
+		function save_event(&$event,$sendMail = true, $importAccount = false)
 		{
 
@@ -954,11 +956,6 @@
 			$enddate = $this->maketime($event['end']) - $GLOBALS['phpgw']->datetime->tz_offset;
 			$today = time() - $GLOBALS['phpgw']->datetime->tz_offset;
-//
-//			if($event['recur_type'] != MCAL_RECUR_NONE)
-//			{
-//				$type = 'M';
-//			}
-//			else
-//			{
+
+
 				if ($event['type'] == 'hourAppointment')
 					$type = 'H';
@@ -967,11 +964,5 @@
 				}else
 					$type = 'E';
-//			}
-                        if(is_array($event['attachment']))
-                            $sattach=serialize($event['attachment']);
-                        else if(is_array(unserialize($event['attachment'])))
-                            $sattach=$event['attachment'];
-                        else
-                            $sattach='';
+			
 
 			$sql = 'UPDATE phpgw_cal SET '
@@ -986,9 +977,6 @@
 					. "title='".$this->stream->db_addslashes($event['title'])."', "
 					. "description='".$this->stream->db_addslashes($event['description'])."', "
-					. "observations='".$this->stream->db_addslashes($event['observations'])."', "
-                    . 'notifications_owner='.(int)$event['notifications_owner'].','
-					. "attachment='".$this->stream->db_addslashes($sattach)."', "
-					. "alter_by='".$this->stream->db_addslashes($GLOBALS['phpgw_info']['user']['fullname'])."', "
 					. "ex_participants='".$this->stream->db_addslashes($event['ex_participants'])."', "
+					. "organizer='".$this->stream->db_addslashes($event['organizer'])."', "
 					. "location='".$this->stream->db_addslashes($event['location'])."', "
 					. ($event['groups']?"groups='".(count($event['groups'])>1?implode(',',$event['groups']):','.$event['groups'][0].',')."', ":'')
@@ -1095,6 +1083,53 @@
 			$GLOBALS['phpgw_info']['cal_new_event_id'] = $event['id'];
 			$this->event = $event;
+
+                        if($sendMail)
+                        {
+                            if($importAccount)
+                                $this->sendEmailEvendAccepted($event,$importAccount);
+                            else
+                                $this->sendEmailEvendAccepted($event);
+                        }
+	
 			return True;
 		}
+
+                function sendEmailEvendAccepted($event,$importAccount = false)
+                {
+
+                    if(!$importAccount)
+                        $importAccount['mail'] = $GLOBALS['phpgw_info']['user']['email'];
+
+                    //verifica se eh um evento externo se sim envia o vcard de aceitação em anexo
+                    if($event['owner'] == '-2')
+                    {
+                        $mailService = ServiceLocator::getService('mail');
+
+                        $tmpbody.= "<b>".lang("Event Accepted")."</b> ";
+                        $tmpbody.= "<br><br>".lang("name").": ".$event['title']."<br>";
+                        $tmpbody.= "<br>".lang("description").": ".$event['description']."<br>";
+
+                        $ev[0] = $event;
+
+                        $tmpattach=  $GLOBALS['calendar']->bocalendar->create_vcard($ev,'REPLY',true,$importAccount);
+                        
+                        $mailService->addStringAttachment($tmpattach, 'suggestion.ics', 'application/ics');
+                        $mailService->addStringAttachment($tmpattach, 'vcalendar.ics', 'utf-8', 'text/calendar; charset=utf-8; method=REPLY;', '7bit', '');
+                 
+                        if(strchr($event['organizer'],'@') && strchr($event['organizer'],'<') && strchr($event['organizer'],'>'))
+                        {
+                            $mail = substr($event['organizer'], strpos($event['organizer'],'<'), strpos($event['organizer'],'>'));
+                            $mail = str_replace('<','', str_replace('>','',$mail));
+                        }
+
+                        if($mail)
+                            $mailService->sendMail($mail,$importAccount['mail'],$event['title'],$tmpbody);
+
+                    }
+                    else
+                        $GLOBALS['calendar']->bocalendar->send_update(MSG_ACCEPTED, $event['participants'],$event);
+
+                    return;
+                }
 
 		function get_alarm($cal_id)
Index: trunk/calendar/inc/hook_sidebox_menu.inc.php
===================================================================
--- trunk/calendar/inc/hook_sidebox_menu.inc.php	(revision 4474)
+++ trunk/calendar/inc/hook_sidebox_menu.inc.php	(revision 5132)
@@ -24,9 +24,4 @@
 
 	$menu_title = $GLOBALS['phpgw_info']['apps'][$appname]['title'] . ' '. lang('Menu');
-	
-	$publicview_php_template_path = $GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']; 
- 	if (!file_exists($GLOBALS['phpgw_info']['server']['webserver_url'].'/calendar/templates/'.$publicview_php_template_path.'/publicView.php')) 
- 	    $publicview_php_template_path = 'default';
-	
 	$file = Array(
 		'New Entry'   => $GLOBALS['phpgw']->link('/index.php','menuaction=calendar.uicalendar.add'),
@@ -41,5 +36,5 @@
 		'Import'=>$GLOBALS['phpgw']->link('/index.php','menuaction=calendar.uiicalendar.import'),
 		'Report of hours'=>$GLOBALS['phpgw']->link('/calendar/inc/hourReport.php',''),
-		'Public Calendars'=> "javascript:openwindow('calendar/templates/".$publicview_php_template_path."/publicView.php')"
+		'Public Calendars'=> "javascript:openwindow('calendar/templates/".$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']."/publicView.php')"
 	);
 	display_sidebox($appname,$menu_title,$file);
Index: trunk/calendar/inc/class.bogroup_access.inc.php
===================================================================
--- trunk/calendar/inc/class.bogroup_access.inc.php	(revision 580)
+++ trunk/calendar/inc/class.bogroup_access.inc.php	(revision 5132)
@@ -22,28 +22,25 @@
 	}
 
-	public final function search_user($params){			
-		$objLdap = new ldap_functions();
-		$objLdap -> ldapRootConnect();
-		$ldap = $objLdap -> ds;		
-		$search = $params['search'];
-		$accounttype = $params['type'];
-		$justthese = array("cn","uid", "uidNumber","gidNumber");
-    	$users_list=ldap_search($ldap, $_SESSION['phpgw_info']['expressomail']['server']['ldap_context'], "(&(phpgwAccountType=$accounttype) (|(cn=*$search*)(mail=$search*)) )", $justthese);    	
-    	if (ldap_count_entries($ldap, $users_list) == 0)
+        public final function search_user($params)
     	{
-    		$return['status'] = 'false';
-    		$return['msg'] = 'Nenhum resultado encontrado.';
-    		return $return;
-    	}    	
-    	ldap_sort($ldap, $users_list, "cn");    	
-    	$entries = ldap_get_entries($ldap, $users_list);    	    	
+	    $server = $_SESSION['phpgw_info']['expressomail']['server'];
+
+	    $t = $params['type'];
+
+	    $ldapService = ServiceLocator::getService('ldap');
+
+	    $ldapService->connect( $server['ldap_host'], $server['ldap_root_dn'], $server['ldap_root_pw'] );
+
+	    $entries = $ldapService->accountSearch($params['search'], array('cn', $t.'idNumber', $t.'id' ), $server['ldap_context'], $t, 'cn');
+
 		$options = '';
-		for ($i=0; $i<$entries['count']; $i++)
+
+	    foreach( $entries as $value )
 		{
-			$value = $entries[$i][$accounttype == "u" ? 'uidnumber' : 'gidnumber'][0];		
-			if($entries[$i]['mail'][0])
-				$mail = "(".$entries[$i]['mail'][0].")";
-			$options .= "<option value=" . $value. ">" . $entries[$i]['cn'][0] . " $mail" . "</option>";
+		$id = $value[$t.'id'] ? $value[$t.'id'] : $value[$t.'idnumber'];
+
+		$options .= '<option value='.$value[ $t.'idnumber' ].'>'.$value['cn'].'('.$id.')</option>';
 		}    	
+
     	return $options;		
 	} 
Index: trunk/calendar/inc/class.uipublicview.inc.php
===================================================================
--- trunk/calendar/inc/class.uipublicview.inc.php	(revision 3966)
+++ trunk/calendar/inc/class.uipublicview.inc.php	(revision 5132)
@@ -466,13 +466,4 @@
 					);
 				}
-                                if($event['attachment'] != '')
-				{
-					$picture[] = Array(
-						'pict'	=> $GLOBALS['phpgw']->common->image('calendar','circle'),
-						'width'	=> 9,
-						'height'=> 9,
-						'title' => lang('Has Attachment')
-					);
-				}
 				else
 				{
@@ -529,13 +520,4 @@
 			}
 
-                        if($event['attachment'] != '')
-			{
-                            $picture[] = Array(
-                                    'pict'	=> $GLOBALS['phpgw']->common->image('calendar','circle'),
-                                    'width'	=> 9,
-                                    'height'=> 9,
-                                    'title' => lang('Has Attachment')
-                            );
-			}
 			$description = $this->bo->get_short_field($event,$is_private,'description');
 			for($i=0;$i<count($picture);$i++)
